Error calling gds.graph.create.cypher

I'm getting error calling Version: 4.3.3 gds.graph.create.cypher procedure.

The code is:

CALL gds.graph.create.cypher('my-cypher-graph_${ROOT_ID}', 'MATCH (n:Node)-[*..1]-(m:Node) WHERE n.id = "SomeValue" RETURN id(m) as id UNION MATCH (n:Node {id: "someValue"}) RETURN id(n) as id', 'MATCH (n:Node)-[*..1]-(m:Node) WHERE (n.id = "someValue" AND m.id <> "someValue") RETURN id(n) as source, id(m) as target')

but actual parameters values does not matter.

The error is:
Unable to inject component to field tracker, please ensure it is public and non-final: Could not initialize class org.neo4j.graphalgo.compat.Neo4jProxy

The debug.log does not contain any relevant information. The query.log contains query text and same error message. Does someone know how can I fix it?

Neo4j Version is 4.3.3

Can you please tell me what version of GDS you are running? Thanks!

The problem was indeed the incompatible version of GDS. But it was unoblivious from the error message. I solved it by replacing old GDS library with the correct version.

1 Like